﻿/******* icon *******/

.navigator-menuIcon {
    display: inline;
    vertical-align: middle;
}

    .navigator-menuIcon:hover {
        color: #3276B1;
    }

/******* dropdown *******/

.navigator-menu, .navigator-menuEmpty {
    position: relative;
    transition-property: transform;
    transform-origin: 0 0;
    transform: scaleY(0);
    transition-duration: 0.2s;
    transition-timing-function: cubic-bezier(1, 0, 1, 0.8);
}

.navigator-menu {
    color: #444;
    background-color: #fff;
    border: 1px solid #ccc;
}

.navigator-menuEmpty {
    color: #444;
    background-color: #fff;
    padding: 2px;
    border: 1px solid #ccc;
}

.navigator-menuExpanded {
    transform: scaleY(1);
    transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
}

.navigator-menuColumn {
    display: inline-block;
    vertical-align: top;
}

.navigator-menuHeader, .navigator-menuHeaderChanged {
    display: flex;
    align-items: center;
    font-weight: bold;
    border: 1px solid #bbb;
}

.navigator-menuHeader, .navigator-menuHeaderChange {
    background-color: #bbb;
}

.navigator-menuHeaderChanged {
    background-color: #3276B1;
    color: #fff;
}

.navigator-menuHeaderChange {
    transition-duration: 0.4s;
    transition-timing-function: cubic-bezier(0, 0, 1, 0);
}

.navigator-menuHeaderIcon {
    padding: 6px;
}

.navigator-menuHeaderText {
    flex-grow: 10;
}

.navigator-menuHeaderToggleViewIcon {
    padding: 6px;
}

    .navigator-menuHeaderToggleViewIcon:hover {
        color: #ffffff;
    }

.navigator-menuEntry {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #fff;
    cursor: pointer;
}

.navigator-menuEntryCollapse, .navigator-menuEntryExpand {
    transition-property: transform;
    transform-origin: 0 0;
}

.navigator-menuEntryCollapsed {
    transform: scaleY(0);
}

.navigator-menuEntryExpand {
    transform: scaleY(1);
    transition-duration: 0.3s;
    transition-timing-function: cubic-bezier(0, 1, 0.7, 1);
}

.navigator-menuEntryExpanded {
    transform: scaleX(1);
}

.navigator-menuEntryCollapse {
    transform: scaleX(0);
    transition-duration: 0.2s;
    transition-timing-function: cubic-bezier(0, 0.5, 1, 1);
}

.navigator-menuHeader, .navigator-menuEntry {
    margin: 1px;
    padding: 3px;
    font-weight: normal;
    white-space: nowrap;
    min-height: 22px;
}

    .navigator-menuEntry:hover {
        background-color: #3276B1;
        color: #fff;
    }

        .navigator-menuEntry:hover .navigator-menuEntryPinner {
            visibility: visible;
        }

.navigator-menuEntryText {
    display: flex;
    flex-direction: column;
}

.navigator-menuEntryPinner {
    align-self: stretch;
    width: 28px;
    padding-left: 3px;
    display: flex;
    align-items: center;
    justify-content: center;
    visibility: hidden;
    color: #00dddd; /* #a5b7c6; */
}

.navigator-menuEntryPinner:hover {
    color: #ffffff;
}

.navigator-menuEntryName {
}

.navigator-menuEntryPath {
    font-size: smaller;
    color: #3276B1;
}

.navigator-menuEntry:hover .navigator-menuEntryPath {
    color: #fff;
}
